package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type qrcode struct {
	portal    portal
	userClass userClass
	list      string `name:"list place_uid auto" role:"void"`
}

func (s qrcode) Init(m *ice.Message, arg ...string) {
	s.portal.Show(m)
}
func (s qrcode) List(m *ice.Message, arg ...string) {
	msg := m.Cmd(s.userClass, m.Option(model.USER_UID), arg[0])
	m.FieldsSetDetail()
	kit.For([]string{model.CITY_NAME, model.SCHOOL_NAME, model.CLASS_NAME}, func(key string) { m.Push(key, msg.Append(key)) })
	m.EchoQRCode(s.portal.Link(m, arg[0], m.Prefix("apply")))
}

func init() { ice.TeamCtxCmd(qrcode{}) }
